Module
Contents
Index 🔎︎

# MsgBox Statement

Zobrazí dialógové okno obsahujúce správu.

## Syntax:

    MsgBox Text As String [,Typ As Integer [,Názov_dialógového_okna As String]] (ako príkaz) alebo MsgBox (Text As String [,Typ As Integer [,Názov_dialógového_okna As String]]) (ako funkcie)

## Parameter:

Text: Reťazec zobrazený ako správa v dialógovom okne. Zalomenie riadku ja možné vložiť pomocou Chr$(13).

Názov_dialógového_okna: Reťazec zobrazený v titulnej lište dialógu. Ak je vynechaný, zobrazí sa v titulnej lište názov zodpovedajúcej aplikácie.

Typ: Akýkoľvek celočíselný výraz, ktorý určuje druh dialógu a taktiež počet a druh zobrazených tlačidiel a druh ikony. Typ predstavuje kombináciu bitových vzoriek, takže je možné použiť kombináciu prvkov súčtom ich hodnôt:

Named constant | Integer value | Definition
MB_OK | 0 | Display OK button only.
MB_OKCANCEL | 1 | Display OK and Cancel buttons.
MB_ABORTRETRYCANCEL | 2 | Display Abort, Retry, and Ignore buttons.
MB_YESNOCANCEL | 3 | Display Yes, No, and Cancel buttons.
MB_YESNO | 4 | Display Yes and No buttons.
MB_RETRYCANCEL | 5 | Display Retry and Cancel buttons.
MB_ICONSTOP | 16 | Add the Stop icon to the dialog.
MB_ICONQUESTION | 32 | Add the Question icon to the dialog.
MB_ICONEXCLAMATION | 48 | Add the Exclamation Point icon to the dialog.
MB_ICONINFORMATION | 64 | Add the Information icon to the dialog.
| 128 | First button in the dialog as default button.
MB_DEFBUTTON2 | 256 | Second button in the dialog as default button.
MB_DEFBUTTON3 | 512 | Third button in the dialog as default button.

## Error codes:

5 Neplatné volanie procedúry

## Príklad:

    Sub ExampleMsgBox

     Const sText1 = "Došlo k neočakávanej chybe."

     Const sText2 = "Program ale bude pokračovať."

     Const sText3 = "Chyba"

     MsgBox(sText1 + Chr(13) + sText2,16,sText3)

     MsgBox(sText1 + Chr(13) + sText2, MB_ICONSTOP, sText3)

    End Sub